Bug 756648 - [Clone Case] Can't create a link to selected case when clone a case and check "Use the same Plan"
[Clone Case] Can't create a link to selected case when clone a case and check...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.6
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-24 00:51 EST by Xin Gao
Modified: 2015-12-01 00:35 EST (History)
5 users (show)

See Also:
Fixed In Version: TCMS 3.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
clone error using same plan (112.61 KB, image/png)
2011-11-24 00:51 EST, Xin Gao
no flags Details

  None (edit)
Description Xin Gao 2011-11-24 00:51:26 EST
Created attachment 535779 [details]
clone error using same plan

Description of problem:
Can't create a link to selected case when clone a case and check Use the same Plan

Version-Release number of selected component (if applicable):
3.6.2 on englab

How reproducible:


Steps to Reproduce:
1. get case(s) from a plan
   such as following link:
   https://tcms-stage.englab.bne.redhat.com/plan/3471/

2. Select one case from case list.
   Notice: Just need select one case! selecting more than one cases can't
reproduce this problem.
3. Click "Clone" button.
4. Check "Use the same Plan..."
5. Do not check "Create a Copy (Unchecking will create a link to selected
case)" in the Clone Settings.
6. Click "Clone" button.
  
Actual results:
Come out error page.
refer to attachment.

Expected results:
Clone successfully.

Additional info:
Comment 1 jianchen 2011-11-29 03:34:48 EST
(In reply to comment #0)
> Created attachment 535779 [details]
> clone error using same plan
> 
> Description of problem:
> Can't create a link to selected case when clone a case and check Use the same
> Plan
> 
> Version-Release number of selected component (if applicable):
> 3.6.2 on englab
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1. get case(s) from a plan
>    such as following link:
>    https://tcms-stage.englab.bne.redhat.com/plan/3471/
> 
> 2. Select one case from case list.
>    Notice: Just need select one case! selecting more than one cases can't
> reproduce this problem.
> 3. Click "Clone" button.
> 4. Check "Use the same Plan..."
> 5. Do not check "Create a Copy (Unchecking will create a link to selected
> case)" in the Clone Settings.
> 6. Click "Clone" button.
> 
> Actual results:
> Come out error page.
> refer to attachment.
> 
> Expected results:
> Clone successfully.
> 
> Additional info:

This bug fixed in tcms 3.6.2 next release. 
Thanks very much,
Comment 2 Xin Gao 2011-11-30 04:24:34 EST
Verify version and result:
3.6.2-2 on englab --> PASSED

Actual results:
Run can be cloned successfully.

Note You need to log in before you can comment on or make changes to this bug.